Bug 238079 - Support encrypted root filesystems
Support encrypted root filesystems
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
http://www.cygnetech.com/linux/howtos/
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 19:20 EDT by tswan
Modified: 2008-05-06 21:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for mkinitrd (9.15 KB, patch)
2007-04-26 19:20 EDT, tswan
no flags Details | Diff
Patch for mkinitrd.8 man page. (4.42 KB, patch)
2007-04-26 19:22 EDT, tswan
no flags Details | Diff
mkinitrd patch (8.59 KB, patch)
2007-04-29 23:59 EDT, tswan
no flags Details | Diff
Patch again mkinitrd 6.0.9, man and bin (18.91 KB, patch)
2007-06-24 20:06 EDT, tswan
no flags Details | Diff

  None (edit)
Description tswan 2007-04-26 19:20:06 EDT
Description of problem:

Add functionality to support encrypted root filesystems.  This also has an
additional requirement for keep persistent options for mkinitrd.   

This first set of patches provides the facilities for both.  Another bug will be
filed for Anaconda changes that recognize /dev/mapper/* devices and to add
screens for creating encrypted devices.

Version-Release number of selected component (if applicable):
Patches apply to both FC6 and to FC7 T3.

Additional info:

See <http://www.cygnetech.com/linux/howtos/> under Root Filesystem Encryption
Comment 1 tswan 2007-04-26 19:20:53 EDT
Created attachment 153560 [details]
Patch for mkinitrd
Comment 2 tswan 2007-04-26 19:22:33 EDT
Created attachment 153561 [details]
Patch for mkinitrd.8 man page.
Comment 3 tswan 2007-04-29 23:59:28 EDT
Created attachment 153758 [details]
mkinitrd patch

Removing dependency on /etc/mkinitrd.conf and using existing
/etc/sysconfig/mkinitrd for configuration.   Rewriting to fix bugs for corner
case where password protection only was desired.
Comment 4 Charles R. Anderson 2007-05-10 20:41:52 EDT
Isn't this a duplicate of #124789 ?
Comment 5 tswan 2007-06-24 20:06:34 EDT
Created attachment 157728 [details]
Patch again mkinitrd 6.0.9, man and bin

Taking into account comments from the mailing lists, moved configuration
information to /etc/sysconfig/mkinitrd.

Provides three basic decryption operations for root filesystems:
password
removable /boot with embedded key
removable key device
Comment 6 Bug Zapper 2008-04-03 20:18:03 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:34:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.